### File

`packages/components/eui-tabs/eui-tab/eui-tab.component.ts`

### Description

Component used to display a tab item.

### Metadata

HostDirectives | `BaseStatesDirective` Inputs : euiDisabled euiPrimary euiSecondary euiInfo euiSuccess euiWarning euiDanger euiAccent euiVariant
selector | `eui-tab`
styleUrls | `../styles/_index.scss`
template |
    <ng-content/>

### Index

###### Properties
baseStatesDirective
###### Inputs
e2eAttr isActive isClosable isDisabled isHandleCloseOnClose isVisible tooltip url
###### Accessors
templateLabel templateContent

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-tab'`
e2e attribute.

isActive
Type : `boolean`
Default value : `false`
Whether the tab is active.

isClosable
Type : `boolean`
Default value : `false`
Whether the tab can be closed.

isDisabled
Type : `boolean`
Default value : `false`
Whether the tab is disabled.

isHandleCloseOnClose
Type : `boolean`
Default value : `false`
Whether the close is handled on application side.

isVisible
Type : `boolean`
Default value : `true`
Whether the tab is visible.

tooltip
Type : `string`
Tooltip to display when the tab header is hovered.

url
Type : `string`
URL of the tab if used with the router. Click on the tab header will navigate to this value.

### Properties

baseStatesDirective
Default value : `inject(BaseStatesDirective)`

### Accessors

templateLabel
get `templateLabel()`
set `templateLabel(value: EuiTabLabelComponent)`
Parameters :
Name | Type | Optional
value | `EuiTabLabelComponent` | No
Returns : `void`

templateContent
get `templateContent()`
set `templateContent(value: EuiTabContentComponent)`
Parameters :
Name | Type | Optional
value | `EuiTabContentComponent` | No
Returns : `void`

# results matching ""

# No results matching ""